﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls.GridView;

namespace HierarchyIsExpandable
{
    public class IsExpandedStyleSelector : System.Windows.Controls.StyleSelector
    {
        public Style HierarchyStyle { get; set; }
        public Style NoHierarchyStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            var row = container as GridViewRow;

            if (row == null)
            {
                return base.SelectStyle(item, container);
            }

            if ((item as Club).Players.Count > 0)
            {
                return this.HierarchyStyle;
            }
            else
            {
                return this.NoHierarchyStyle;
            }
        }
    }
}
